Last Comment Bug 1124154 - Wait for parsing to complete before completing synchronization
: Wait for parsing to complete before completing synchronization
Status: RESOLVED FIXED
:
Product: Calendar
Classification: Client Software
Component: Provider: GData (show other bugs)
: Trunk
: All All
-- normal (vote)
: 4.0.0.1
Assigned To: Philipp Kewisch [:Fallen]
:
:
Mentors:
Depends on:
Blocks: 1117541
  Show dependency treegraph
 
Reported: 2015-01-21 04:22 PST by Philipp Kewisch [:Fallen]
Modified: 2015-01-27 16:18 PST (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Fix - v1 (1.97 KB, patch)
2015-01-21 04:23 PST, Philipp Kewisch [:Fallen]
matthew.mecca: review+
Details | Diff | Splinter Review

Description User image Philipp Kewisch [:Fallen] 2015-01-21 04:22:46 PST
I had a hard-to-reproduce error on Linux try, which didn't show up on mac. The issue turned out to be that the final promise was resolved before the parsing completed.
Comment 1 User image Philipp Kewisch [:Fallen] 2015-01-21 04:23:24 PST
Created attachment 8552420 [details] [diff] [review]
Fix - v1
Comment 2 User image Matthew Mecca [:mmecca] 2015-01-26 21:31:23 PST
Comment on attachment 8552420 [details] [diff] [review]
Fix - v1

r=mmecca
Comment 3 User image Philipp Kewisch [:Fallen] 2015-01-27 16:18:15 PST
comm-central changeset 2e1f5057f6c5

Note You need to log in before you can comment on or make changes to this bug.